lp:ubuntu/trusty-proposed/xmms2

Created by Ubuntu Package Importer on 2013-10-23 and last modified on 2014-01-18
Get this branch:
bzr branch lp:ubuntu/trusty-proposed/xmms2
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

49. By Benjamin Drung on 2014-01-18

* Build for supported versions of Ruby.
  Thanks to Christian Hofstaedtler <email address hidden> (Closes: #730719)
* Drop transitional packages libxmmsclient0-ruby and libxmmsclient0-ruby1.8.
  (Closes: #735729)
* Backport get rid of superfluous argument self to fix
  "medialib_import_path() got multiple values for keyword argument 'cb'"
* Bump Standards-Version to 3.9.5 (no changes needed).

48. By Dimitri John Ledkov on 2013-11-10

No change rebuild against libav 9.

47. By Rémi Vanicat on 2013-10-16

Tell waf to use pkg-config to find smbclient.h, thanks to
Cyril Brulebois (Closes: #726460).

46. By Rémi Vanicat on 2013-09-25

include libmodplug/modplug.h (Closes: #724487)

45. By Benjamin Drung on 2013-03-21

* Switch to debhelper 9 and enable hardening.
* Bump Standards-Version to 3.9.4 (no changes needed).
* Use canonical URLs for Vcs fields.
* Add patch to avoid hardening flag removal.

44. By Benjamin Drung on 2012-11-28

Unbreak compilation against libav 9 by backporting three patches from
upstream: fix-avcodec-init.patch, fix-alloc-context.patch and
fix-missing-include.patch. Thanks to Reinhard Tartler. (Closes: #694347)

43. By Rémi Vanicat on 2012-06-26

* Using -j1 for waf on bsd
* Rename ruby package, and change instalution path to follow new Ruby policy
* Compile for both ruby1.8 and ruby1.9.1
* Correct invocation of xmms2 in xmms2-mlib-updater man page, thanks
  to Juhapekka Tolvanen (Closes: #660373).
* Bump Standards-Version to 3.9.3 (no changes required).

42. By Rémi Vanicat on 2012-06-18

* Explicit dependency on ruby1.8 thanks to Lucas Nussbaum (Closes:
  #676100).
* Add myself as an uploader

41. By Benjamin Drung on 2012-02-07

* Unpack waf binary (following http://wiki.debian.org/UnpackWaf)
  (Closes: #654512).
* Remove transitional xmms2-plugin-wma package.

40. By Benjamin Drung on 2011-10-22

* New upstream release.
  - Drop code name DrO_o from Debian version, because an underscore is not
    allowed in a Debian version.
  - Order items alphabetically in xmms2 manual page (Closes: #620665).
* Drop backported patches and patches that are applied upstream.
* Refresh remaining four patches.
* Drop xmms2-client-vis, because its content is not meant for anything other
  than development reference.
* Drop xmms2-et package, because it used only in the test phase.
* Add new xmms2-plugin-sndfile package.
  - Add libsndfile1-dev as build dependency for it.
* libxmmsclient6.symbols: Add new and remove five symbols that were only
  internal symbols.
* Update watch file.
* Replace Florian Ragwitz as maintainer. Thanks for your work.
* Remove all inactive uploaders. Thanks to them for their previous work.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/xmms2
This branch contains Public information 
Everyone can see this information.

Subscribers